---
datacenter:
  children:
    servers:
      hosts:
        rpi5-1.home.lan:
        rpi5.home.lan:
        m-server.home.lan:
        fog.home.lan:
        zabbix.home.lan:
        amd.home.lan:
        omv.home.lan:
        192.168.77.101:
        rack.home.lan:
        morefine.home.lan:
      vars:
        ansible_python_interpreter: /usr/bin/python3
        ansible_ssh_user: jd
        # ansible_ssh_password: l4c1j4yd33Du5lo
        ansible_become_password: q
        ansible_ssh_pass: q
        ansible_become_user: root

    external:
      hosts:
        sectorq.cloud:
      vars:
        ansible_python_interpreter: /usr/bin/python3
        ansible_ssh_user: root
        # ansible_ssh_password: l4c1j4yd33Du5lo
        ansible_become_password: l4c1j4yd33Du5lo-
        identity_file: ssh_key.pem
        ansible_ssh_pass: l4c1j4yd33Du5lo-
        ansible_become_user: root
     
    nas:
      hosts:
        nas.home.lan:
        192.168.77.106:
      vars:
        ansible_ssh_user: admin
        become_method: su
        become_user: admin
        # ansible_user: admin
        # ansible_pass: l4c1!j4yd33?Du5lo1
        ansible_python_interpreter: /share/ZFS530_DATA/.qpkg/QPython312/bin/python3
    vms:
      children:
        alma10:
          hosts:
            alma10-vm0[1:9].home.lan:
            # debian13-vm[10:27].home.lan:
          vars:
            ansible_python_interpreter: /usr/bin/python3
            ansible_ssh_user: jd
            ansible_ssh_password: q
            # ansible_become_method: su
            ansible_become_password: q
            ansible_ssh_pass: q
            ansible_become_user: root
        debian13:
          hosts:
            debian13-vm0[1:9].home.lan:
            debian13-vm[10:27].home.lan:
          vars:
            ansible_python_interpreter: /usr/bin/python3
            ansible_ssh_user: jd
            ansible_ssh_password: q
            # ansible_become_method: su
            ansible_become_password: q
            ansible_ssh_pass: q
            ansible_become_user: root
        rocky9:
          hosts:
            rocky9-vm0[1:9].home.lan:
            192.168.77.212:
          vars:
            ansible_python_interpreter: /usr/bin/python3
            ansible_ssh_user: jd
            ansible_ssh_password: q
            ansible_become_method: su
            ansible_become_password: q
            ansible_ssh_pass: q
            ansible_become_user: root
        